<template>
	<view>
		<view class="inner-box" v-if="order!=null">
			<!-- 时间、价格 -->
			<view class="time-price">
				<text class="time">订单金额</text>
				<view class="price-box">
					<text class="unit">¥</text>
					<text class="num"  >{{order.payMoney.toFixed(2)}}</text>
				</view>
			</view>
			<!-- 订单详情查看 -->
			<view class="order-info">
				<view class="title">订单信息</view>
				<view class="item">
					<text class="label">订单编号</text>
					<view class="sn-box">
						<text class="text">{{order.orderCode}}</text>
						<view class="copy-btn" @click="copyTest(order.orderCode)">复制</view>
					</view>
				</view>
				<view class="item">
					<text class="label">下单时间</text>
					<text class="text">{{order.createTime}}</text>
				</view>
			</view>
		</view>
		<!-- 底部按钮 -->
		<view class="btn-box">
			<view class="btn" v-if="order!=null" @click="payOrder()">立即支付</view>
			 
		</view>
	</view>
</template>

<script>
	import {getVipOrderById,payment} from '@/api/userVipOrder.js'
	export default {
		data() {
			return {
				payMethod:null,
				orderId:null,
				order:null,
				
			}
		},
		onLoad(option) {
			this.orderId=option.orderId;
			this.payMethod=option.payMethod;
			
		},
		onShow() {
			this.getVipOrderById();
		},
		 
		methods: {
			copyTest(text) {
				// 复制方法
				uni.setClipboardData({
					data:text,
					success:()=>{
						uni.showToast({
							title:'内容已成功复制到剪切板',
							icon:'none'
						})
					}
				});
			},
			getVipOrderById(){
				var data={orderId:this.orderId};
				console.log(data)
				getVipOrderById(data).then(
					res => {
						if(res.code==200){
							this.order=res.data
							if(this.payMethod!=null&&this.payMethod=='app'){
								this.payOrder();
							}
						}else{
							 
						}
					},
					rej => {}
				);
			},
			payOrder(){
				var data = {
					orderId:this.orderId,
					appId: getApp().globalData.appId
				};
				var that=this;
				uni.showLoading();
				payment(data).then(
					res => {
						if(res.code==200){
							if(res.isPay==1){
								uni.redirectTo({
									url:"/pages_order/userVipOrderOrderPaySuccess?orderId="+that.orderId
								}) 
							}
							else{
								 
								if(res.type=="tz"){
									uni.setStorageSync("ztPayUrl",res.data.body.url)
									uni.redirectTo({
										url:"/pages_order/tzPay"
									})
								}
								if(res.type=="yb"){
									var payData=JSON.parse(res.data.pay_info)
									console.log(payData)
									uni.requestPayment({
									 	provider: 'wxpay',
									 	timeStamp: payData.timeStamp,
									 	nonceStr: payData.nonceStr,
									 	package: payData.package,
									 	signType: payData.signType,
									 	paySign: payData.paySign,
									 	success: function(res) {
											console.log(that.order.orderId)
									 		 uni.hideLoading();
											 uni.redirectTo({
											 	url:"./userVipOrderOrderPaySuccess?orderId="+that.orderId
											 }) 
											 
									 	},
									 	fail: function(err) {
											uni.showToast({
												icon:'none',
												title:'fail:' + JSON.stringify(err),
											});
									 		uni.hideLoading();
											
									 	}
									});
									
								}
								else if(res.type=="hf"){
									var payData=JSON.parse(res.data.pay_info)
									console.log(payData)
									uni.requestPayment({
									 	provider: 'wxpay',
									 	timeStamp: payData.timeStamp,
									 	nonceStr: payData.nonceStr,
									 	package: payData.package,
									 	signType: payData.signType,
									 	paySign: payData.paySign,
									 	success: function(res) {
											console.log(that.order.orderId)
									 		 uni.hideLoading();
											 uni.redirectTo({
											 	url:"./userVipOrderOrderPaySuccess?orderId="+that.orderId
											 }) 
											 
									 	},
									 	fail: function(err) {
											uni.showToast({
												icon:'none',
												title:'fail:' + JSON.stringify(err),
											});
									 		uni.hideLoading();
											
									 	}
									});
									
								}
								else if(res.type=="wx"){
									uni.requestPayment({
									 	provider: 'wxpay',
									 	timeStamp: res.data.timeStamp,
									 	nonceStr: res.data.nonceStr,
									 	package: res.data.packageValue,
									 	signType: res.data.signType,
									 	paySign: res.data.paySign,
									 	success: function(res) {
											console.log(that.order.orderId)
									 		 uni.hideLoading();
											 uni.redirectTo({
											 	url:"./userVipOrderOrderPaySuccess?orderId="+that.orderId
											 }) 
											 
									 	},
									 	fail: function(err) {
											uni.showToast({
												icon:'none',
												title:'fail:' + JSON.stringify(err),
											});
									 		uni.hideLoading();
											
									 	}
									});
									
								}
								
							}
						}else{
							uni.showToast({
								icon:'none',
								title: res.msg,
							});
							this.$reLoginCheck(res.msg)
						}
					},
					rej => {}
				);
				
			}
		}
	}
</script>

<style lang="scss">
	.inner-box{
		padding: 20upx 20upx 300upx;
		.time-price{
			box-sizing: border-box;
			padding: 50upx 0upx;
			background: #FFFFFF;
			border-radius: 16upx;
			display: flex;
			flex-direction: column;
			align-items: center;
			.time{
				font-size: 32upx;
				font-family: PingFang SC;
				font-weight: 500;
				color: #222222;
				line-height: 1;
				text-align: center;
			}
			.desc{
				margin: 30upx 0upx 15upx;
				font-size: 26upx;
				font-family: PingFang SC;
				color: #999999;
				line-height: 1;
				text-align: center;
			}
			.price-box{
				display: flex;
				align-items: flex-end;
				margin-top: 28upx;
				.unit{
					font-size: 32upx;
					font-family: PingFang SC;
					font-weight: bold;
					color: #FF6633;
					line-height: 1.3;
					margin-right: 10upx;
				}
				.num{
					font-size: 56upx;
					font-family: PingFang SC;
					font-weight: bold;
					color: #FF6633;
					line-height: 1;
				}
			}
		}
		.order-info{
			margin-top: 20upx;
			background: #FFFFFF;
			border-radius: 16upx;
			padding: 40upx 30upx;
			.title{
				font-size: 30upx;
				font-family: PingFang SC;
				font-weight: bold;
				color: #222222;
				line-height: 1;
			}
			.item{
				margin-top: 40upx;
				display: flex;
				align-items: center;
				justify-content: space-between;
				.label{
					font-size: 26upx;
					font-family: PingFang SC;
					font-weight: 500;
					color: #666666;
					line-height: 1;
				}
				.text{
					font-size: 26upx;
					font-family: PingFang SC;
					font-weight: 500;
					color: #222222;
					line-height: 32upx;
				}
				.cont-text{
					font-size: 26upx;
					font-family: PingFang SC;
					font-weight: 500;
					color: #666666;
					.bold{
						color: #111111;
					}
				}
				.sn-box{
					display: flex;
					align-items: center;
					.copy-btn{
						width: 58upx;
						height: 32upx;
						line-height: 32upx;
						text-align: center;
						font-size: 22upx;
						font-family: PingFang SC;
						font-weight: 500;
						color: #222222;
						background: #F5F5F5;
						border-radius: 4upx;
						margin-left: 24upx;
					}
				}
				 
			}
			.line{
				width: 100%;
				height: 1px;
				background: #F0F0F0;
				margin-top: 30upx;
			}
		}
	}
	
	
	.btn-box{
	 	z-index: 9999;
	 	width: 100%;
	 	padding: 30rpx 30upx 0rpx;
	 	position: fixed;
	 	bottom: 0;
	 	left: 0;
	 	box-sizing: border-box;
	 	background-color: #ffffff;
	 	display: flex;
		flex-direction: column;
	 	align-items: center;
	 	justify-content: center;
	 	.btn{
			margin-bottom: 20rpx;
	 		width: 100%;
	 		height: 88upx;
	 		line-height: 88upx;
	 		text-align: center;
	 		font-size: 34upx;
	 		font-family: PingFang SC;
	 		font-weight: 400;
	 		color: #FFFFFF;
	 		background: #2583EB;
	 		border-radius: 10upx;
			position: relative;
	 	}
		.btn1{
			margin-bottom: 20rpx;
			width: 100%;
			height: 88upx;
			line-height: 88upx;
			text-align: center;
			font-size: 34upx;
			font-family: PingFang SC;
			font-weight: 400;
			color: #2583EB;
			border: 1rpx solid #2583EB;
			border-radius: 10upx;
			position: relative;
			.share-btn {
				top:0rpx;
				left:0rpx;
				position: absolute;
				width: 100%;
				height: 88upx;
				display: flex;
				opacity: 0;
			}
		}
	}
	 
</style>


